$('th').on('click', function (e) {
    const ascending = !e.target.classList.contains('ascended');

    $('th.ascended, th.descended').removeClass('ascended').removeClass('descended');
    $(e.target).addClass(ascending ? 'ascended' : 'descended');

    const tbody = $(e.target).closest(' table').find(' tbody');

    tbody.append(
        tbody.children().detach().get().sort(function (a, b) {
            return (ascending ? 1 : -1) * a.cells[e.target.cellIndex].textContent.localeCompare(b.cells[e.target.cellIndex].textContent);
        })
    );
});