from spread_core.bam.handling.scheduler import Scheduler
from spread_core.tools.service_launcher import Launcher


class ScheduleLauncher(Launcher):
    _def_start_delay = 0
    _dumped = False

    @property
    def manager(self):
        if self._manager is None:
            self._manager = Scheduler(self.project_id, self.mqttc)
        return self._manager


def run():
    ScheduleLauncher().connect()


if __name__ == '__main__':
    run()
