STATE = "State"
STATUS = "Status"


class TopicBus:
    protocol = 'Bus'
    is_dump = False
    is_send = False
    is_state = False
    is_status = False
    is_info = False

    def __init__(self, direct, part):
        self.direct = direct
        self.part = part
        if direct == 'Dump':
            self.is_dump = True
        elif direct == 'Send':
            self.is_send = True
        elif direct == 'State':
            self.is_state = True
            if part.endswith('Status'):
                self.is_status = True
            elif part.endwith('Info'):
                self.is_info = True

    def __str__(self): return f'{self.protocol}/{self.direct}/{self.part}'
    def __repr__(self): return str(self)

    @classmethod
    def of_send(cls, part): return cls('Send', part)

    @classmethod
    def of_dump(cls, part): return cls('Dump', part)

    @classmethod
    def of_state(cls, part): return cls('State', part)
