"""IEC 62386 parts 102 and 2xx.

This module declares commands and responses defined in part 102
("General requirements - Control gear") and parts 2xx (lamp specific
extensions and control gear specific features).
"""

from . import colour_control, emergency, general, incandescent, led, switch

extends = {
    6: led._LEDCommand,
    7: switch._SwitchCommand,
    8: colour_control._ColourControlCommand
}
