def bits_indexes(byte, start_from=0) -> list:
    """
    Преобразует битовую маску в массив взведённых битов
    :type byte: int
    :param start_from: Индекс ненулевого бита запишется как i+start_from
    :type start_from: int
    """
    result = []
    _b = bin(byte)[2:]
    for ch in range(0, 8):
        if len(_b) > ch:
            if _b[-(ch+1)] == '1':
                result.append(ch+start_from)
        else:
            break
    return result


def bytes2str(scope: (list, bytes, bytearray, tuple), separator: str = ' ', typing=lambda o: hex(o)[2:].rjust(2, '0')) -> str:
    return separator.join(str(typing(i)) for i in scope)


def to_bytes(*scope):
    return bytes.fromhex(bytes2str(scope))
