from django import template
from django.template.base import Node

from spread_core.version import VERSION

register = template.Library()


class VersionNode(Node):
    def render(self, context):
        return VERSION


@register.tag
def version(parser, token):
    return VersionNode()
