class HandlingError(BaseException):
    pass


class ObjectNotFound(HandlingError):

    @classmethod
    def trigger(cls, id):
        return cls(f'Trigger<{id}> not found')

    @classmethod
    def action(cls, id):
        return cls(f'Action<{id}> not found')

    @classmethod
    def location(cls, id):
        return cls(f'Location<{id}> not found')


class ParseError(HandlingError):
    pass
