from spread_core.mqtt.spread.address import ProviderAddress


class Recipe:
    def __init__(self, project_id: int, _id: int,  _type: str, manager_data: dict):
        self.project_id = project_id
        self.id = _id
        self.provider_type = _type
        self.m_id = manager_data['id']
        self.m_type = manager_data['type']
        self._engineries = []
        self._las = []

    def __str__(self):
        return f'{self.__class__.__name__}<{self.id}>: {str(self._engineries)}'

    @property
    def las(self): return self._las

    def set_la(self, la): self._las.append(la) if la not in self._las else 1

    @property
    def engs(self):
        return self._engineries

    def set_enginery(self, eng):
        self._engineries.append(eng)

    def get_address(self, funit_type):
        return ProviderAddress(self.project_id, self.m_type, self.m_id, self.provider_type, self.id, funit_type)
