class TROS3Topic:
    protocol = 'Tros3'
    topic_type = None

    def __init__(self, p_id, entity_addr='#'):
        self.p_id = int(p_id)
        self.entity_addr = entity_addr

    def __str__(self):
        return f'{self.protocol}/{self.topic_type}/{self.p_id}/{self.entity_addr}'


class TopicCommandTros3(TROS3Topic):
    topic_type = 'Command'


class TopicStateTros3(TROS3Topic):
    topic_type = 'State'
