from .general import _StandardCommand, command


class _SwitchCommand(_StandardCommand):
    _devicetype = 7


class SetUpSwitchOnThreshold(_SwitchCommand):
    _sendtwice = True
    _uses_dtr0 = True
    _cmdval = 225


class SetUpSwitchOffThreshold(_SwitchCommand):
    _sendtwice = True
    _uses_dtr0 = True
    _cmdval = 226


class SetDownSwitchOnThreshold(_SwitchCommand):
    _sendtwice = True
    _uses_dtr0 = True
    _cmdval = 227


class SetDownSwitchOffThreshold(_SwitchCommand):
    _sendtwice = True
    _uses_dtr0 = True
    _cmdval = 228


class SetErrorHoldOffTime(_SwitchCommand):
    _sendtwice = True
    _uses_dtr0 = True
    _cmdval = 229


class QueryUpSwitchOnThreshold(_SwitchCommand):
    _cmdval = 242
    _response = command.Response
    _funit_type = ['UpOn']


class QueryUpSwitchOffThreshold(_SwitchCommand):
    _cmdval = 243
    _response = command.Response
    _funit_type = ['UpOff']


class QueryDownSwitchOnThreshold(_SwitchCommand):
    _cmdval = 244
    _response = command.Response
    _funit_type = ['DownOn']


class QueryDownSwitchOffThreshold(_SwitchCommand):
    _cmdval = 245
    _response = command.Response
    _funit_type = ['DownOff']


class QueryErrorHoldOffTime(_SwitchCommand):
    _cmdval = 246
    _response = command.Response
    _funit_type = ['ErrorHoldOffTime']
